# Custom Steamdeck Animations

I try to collect the Steamdeck Boot animations I can find.
If you are the owner/creator of these Animations and you don't want to see your animation here, please shoot me a message. 

I do not try to get credits for this, I just try to provide a library for people to search for a suitable animation. 
I do not 'steal' animations, I collect only publicly available animations and try to provide credits on where I got them from.

## How to add Boot animations

[Original tutorial](https://steamcommunity.com/app/1675200/discussions/0/3362523432277210907/)

Description: Set a custom boot video to play when entering the OS.  
**Warning: Do this at your own risk.**

0. Enter Desktop Mode

1. Make a 10 second .webm video file. Try to keep pixel count low. A minimal design runs better than an anime clip. Through my own experience.

2. Go to home/deck/.local/share/Steam/steamui/movies/
Backup the unmodified deck_startup.webm file somewhere before copying its name and deleting it in the current directory. Move our custom .webm file to the current directory and change its name to deck_startup.webm
Open the current directory in the terminal and where X stands for the size of the unmodified deck_startup.webm file type the following

truncate --size=X deck_startup.webm

3. Go to deck/home/.local/share/Steam/steamui/css/ and backup the library.css file unmodified somewhere, then edit the one in the current directory.
Where it says "video", make sure to have set the following:

video{flex-grow:1;width:100%;height:100%;z-index:10}

4. Once you saved the modified library.css
Open the current directory in the terminal, where X stands for the file size of the
unmodified library.css we backed up earlier type the following:

truncate -s X library.css

5. Switch to gaming mode or restart the device to see video.

Side Notes:
The truncate command in Linux is used to either shrink or extend the size of a given file to what you desire.